Skip to main content
POST
Create new version

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

plan_id
string<uuid>
required

Body

application/json
status
enum<string>
required

Plan Status

Available options:
draft,
active
name
string | null

Plan name

description
string | null

Product Description

schedule
Schedule · object | null

Duration of the plan

phases
UpdatePlanPhaseRequestSchema · object[] | null

Plan Phases

Response

Successful Response

id
string<uuid>
required

Plan ID

name
string
required

Plan name

status
enum<string>
required

Plan Status

Available options:
draft,
active
schedule
Schedule · object
required

Schedule of the plan

created_at
string<date-time>
required

Plan created at

updated_at
string<date-time>
required

Plan updated at

description
string | null

Product Description

phases
PlanPhaseResponseSchema · object[] | null

Plan Phases

plan_version
PlanVersionResponseSchema · object | null

Plan Version